%global commit f0421d5ab0978bc0e293d2f9a09017aef2d23434

Name:    freight
Version: 0.3.5
Release: 10%{?dist}
Summary: A modern take on the Debian archive

Group:   Development/Tools
License: BSD
URL:     https://github.com/rcrowley/%{name}
Source0: https://github.com/rcrowley/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch1:  freight-0.3.5-libs-usrshare.patch
Patch2:  freight-0.3.5-add-date-field.patch
Patch3:  freight-0.3.5-sha-field-labels.patch

BuildArch: noarch

Requires: coreutils
Requires: dpkg
Requires: gnupg

%description
freight programs create the files needed to serve a Debian archive. The actual
serving is done via your favorite HTTP server.

%prep
%setup -qn %{name}-%{commit}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} \
             prefix=%{_prefix} \
             bindir=%{_bindir} \
             libdir=%{_datadir} \
             sysconfdir=%{_sysconfdir} \
             mandir=%{_mandir}

mv %{buildroot}%{_sysconfdir}/%{name}.conf{.example,}

# VARLIB, freight library
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

# VARCACHE, freight cache (to be served by httpd)
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}

# some empty config files are shipped
find %{buildroot}%{_sysconfdir} -type f -size 0 -delete

%files
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_localstatedir}/cache/%{name}
%{_sharedstatedir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc LICENSE NOTES README.md

%changelog
* Thu Feb 11 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-10
- Add patch to fix SHA field labels

* Mon Feb 08 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-9
- Change date patch to add Valid-Until field

* Mon Feb 01 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-8
- Add patch to add date to release file

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-7
- Fix more loading of libs from /usr/share

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-6
- Fix loading of libs from /usr/share

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-5
- Rebuild as -4 was deleted due to lack of dpkg

* Tue Jul 08 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-4
- Remove manual copy of doc files

* Tue Jul 08 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-3
- Simplify docs inclusion in files section
- Use install instead of cp to copy documentation
- Fix location of review ticket number

* Mon Jul 07 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-2
- Added LICENSE, NOTES and README.md to files section
- Added review ticket number to initial changelog

* Tue Jul 01 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-1
- Initial version (#1115049)
